# -*- coding: UTF-8 -*-
'''
Created on 14.04.2010

@author: gsu
'''

from nes_common.sql_operation import _Insert, _Update as Update, _LastInsertId as LastInsertId, _Select as Select, _Delete as Delete, _DeleteAll as DeleteAll
import MySQLdb

class Insert(_Insert):
    def execute(self, context):
        try:
            _Insert.execute(self, context)
        except MySQLdb.IntegrityError, e:
            if e[0] != 1062: # пропускаем ошибку mysql (Duplicate entry)
                raise e

class DeleteByDate(Delete):
    def prepareStatement(self, context):
        self.notExecMany = True
        hashkey = self.table+'@'+repr(self.whereFields)
        if hashkey in Delete.cache:
            sql = Delete.cache[hashkey]
        else:
            tableName = context.tableName(self.table)
            whereClause = ' barcode = ? and effectivedate < ?'.replace('?', self.replaceSymbol)
            sql = 'delete from %s where %s' % (tableName, whereClause)
            Delete.cache[hashkey] = sql
            Delete.cacheValues[hashkey] = []
        return sql, hashkey
