'''
Created on 10.12.2012

@author: kov
'''

import simplesql as sql

tables = ['catalog', 'catalogattribute', 'tmccatalog']

def insertCatalog(catalog):
    yield sql.Insert(table='catalog', values={'catalogid':catalog.get('catalogid', None),
                                                'catalogname':catalog.get('catalogname', None)})

def clearCatalog():
    yield sql.DeleteAll(table='catalog')
    yield sql.DeleteAll(table='tmccatalog')

def deleteCatalog(catalog):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[catalog.get('catalogid', None)])

def deleteCatalogById(id):
    yield sql.Delete(table='catalog', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='catalogattribute', whereFields=['catalogid'], whereValues=[id])
    yield sql.Delete(table='tmccatalog', whereFields=['catalogid'], whereValues=[id])
