'''
Created on 16.04.2010

@author: gsu
'''

import simplesql as sql

tables = ['vat']

def taxes(taxGroup):
    return taxGroup.get('taxes', [])

def insertTaxGroup(taxGroup):
    taxGroupCode = taxGroup.get('idtaxgroup', 0)
    for n, tax in enumerate(taxes(taxGroup)):
        if n > 4:
            break
        yield sql.Insert(table='vat',
                         values={'code': taxGroupCode * 100 + n + 1,
                                 'name': tax.get('name', ''),
                                 'rate': tax.get('rate', 0),
                                 'mode': 1 if tax.get('changebase', False) else 0})

def deleteTaxGroup(taxGroup):
    taxGroupCode = taxGroup.get('idtaxgroup', 0)
    for i in xrange(1, 6):
        yield sql.Delete(table='vat', whereFields=['code'], whereValues=[taxGroupCode * 100 + i])

