'''
Created on 26.10.2011

@author: SerovS
'''
import simplesql as sql

tables = ['aspectscheme', 'aspectvalueset']

def insertAspectScheme(aspectScheme):
    yield sql.Insert(table='aspectscheme', values={
           'aspectschemecode': aspectScheme.get('aspectschemecode', 0),
           'aspectschemename': aspectScheme.get('aspectschemename', None),
           })

def deleteAspectScheme(aspectScheme):
    yield sql.Delete(table='aspectscheme',
                     whereFields=['aspectschemecode'],
                     whereValues=(aspectScheme.get('aspectschemecode', 0),))

def clearAspectScheme():
    yield sql.DeleteAll(table='aspectscheme')

def deleteAspectSchemeByCode(code):
    yield sql.Delete(table='aspectscheme',
                     whereFields=['aspectschemecode'],
                     whereValues=[code])

    yield sql.Delete(table='aspectvalueset',
                     whereFields=['aspectschemecode'],
                     whereValues=[code,])
