'''
Created on 25.08.2010

@author: gsu
'''

import simplesql as sql

tables = ['vat']

def insertLVat(lvat):
    yield sql.Insert(table='vat', values={'code':lvat.get('code', None),
                                          'name':lvat.get('name', None),
                                          'rate':lvat.get('rate', None),
                                          'mode':lvat.get('mode', None)})

def deleteLVat(lvat):
    for i in deleteLVatByCode(lvat.get('code', None)):
        yield i

def deleteLVatByCode(code):
    yield sql.Delete(table='vat', whereFields=['code'], whereValues=[code])

def clearLVat():
    yield sql.DeleteAll(table='vat')
