import simplesql as sql

tables = ['timerestrict']

def insertTimeRestrict(timerestrict):
    yield sql.Insert(table='timerestrict', values={
                                            'timerestrictid':timerestrict.get('timerestrictid', None),
                                            "alcoholpercent":timerestrict.get('alcoholpercent', None),
                                            "datebeg":timerestrict.get('datebeg', None),
                                            "dateend":timerestrict.get('dateend', None),
                                            "daysbeg":timerestrict.get('daysbeg', None),
                                            "daysend":timerestrict.get('daysend', None),
                                            "timebeg":timerestrict.get('timebeg', None),
                                            "timeend":timerestrict.get('timeend', None),
                                            })

def deleteTimeRestrict(restrict):
    for i in deleteTimeRestrictByTimeRestrictId(restrict.get('timerestrictid', None)):
        yield i

def deleteTimeRestrictByTimeRestrictId(trid):
    yield sql.Delete(table='timerestrict', whereFields=['timerestrictid'], whereValues=[trid])

def clearTimeRestrict():
    yield sql.DeleteAll('timerestrict')